<html>
<head>
<title> Datensicherung/Backup </title>
</head>
<body>
<h1> Datensicherung/Backup </h1>


<?php
require("functions.inc.php");

setlocale(LC_ALL,"de_DE@euro");

$output = array();
$next_tape = array(); // valid: "week", "day", "month"



exec("sudo /usr/local/sbin/bacula_next_tape",$output);
while (list($key,$val) = each($output))
{
    if(ereg("pool TagesBaender: (Tag\-[0-9]+)",$val,$tmp))
    {
	$next_tape["day"] = $tmp[1];
    }
    if(ereg("pool WochenBaender: (Woche\-[0-9]+)",$val,$tmp))
    {
	$next_tape["week"] = $tmp[1];
    }
}
?>
<h3> Nächste Sicherung </h3>
<?php

if($next_backup_time = next_backup_time())
{
	print "Die nächste Datensicherung findet am " . strftime("%A, den %Y-%m-%d",$next_backup_time) . ", um 21:00 Uhr statt.";
	$type_of_backup = type_of_backup($next_backup_time);
	if(($type_of_backup != "none" && $next_tape[$type_of_backup]) || $type_of_backup == "month")
	{
		$buffer = " Es handelt sich dabei um eine ";
		
		switch ($type_of_backup)
		{
			case "day":
				$buffer .= "Tagessicherung. Sie wird auf Band " . $next_tape[$type_of_backup] . " geschrieben.";
;
				break;
			
			case "week":
				$buffer .= "Wochensicherung. Sie wird auf Band " . $next_tape[$type_of_backup] . " geschrieben.";
;
				break;

			case "month":
				$buffer .= "Monatssicherung. Sie wird auf eine neues Band geschrieben. Das Band wird automatisch benannt.";
				break;
		}		

		print $buffer;


	}
	else
		
		print "Es konnte nicht festgestellt werden, auf welches Band zum obigen Zeitpunkt gesichert wird";
	
}
else
	print "Der Zeitpunkt der nächsten Datensicherung konnte nicht festgestellt werden.";

?>



<h3> Bildschirmausgabe bacula_next_tape </h3>

<p>
<code>
<?php output($output); ?>
</code>
</p>

<h3>Pools</h3>
<p>
<code>
nächstes Band im Pool TagesBaender: <?php print $next_tape["day"]; ?> <br />
nächstes Band im Pool WochenBaender: <?php print $next_tape["week"]; ?> <br />
</code>
</p>




<h3> Ausnahmen </h3>
<p> An diesen Tagen findet keine Sicherung statt: </p>
<p>
<code>
<?php
	if(count($exceptions)==0)
		read_exceptions();

	foreach($exceptions as $buffer)
	{
		print "$buffer <br>";
	}
?>
</code></p>

<h3> Datensicherungs-Protokoll </h3>
<p>
	Sie können das Datensicherungsprotokoll für  
	<?php

		$timestamp = time();
		$date_now = getdate($timestamp);
		$date = $date_now;
		print "<a href=\"backup_plan.php?date=" . $date['year'] . "-" . $date['mon'] . "\">" . strftime("%B %Y",$timestamp) . "</a> ";
		$timestamp = mktime(0,0,0,$date['mon']+1,1,$date['year']);
		$date = getdate($timestamp);
		print "und ";
		print "<a href=\"backup_plan.php?date=" . $date['year'] . "-" . $date['mon'] . "\">" . strftime("%B %Y",$timestamp) . "</a> ";
	?>
	ausdrucken.
</p>

</body>
</html>
